# class EventTarget

#### package js.html

#### extended by Database, Request, Transaction, Animation, AudioTrackList, BatteryManager, FontFaceSet, MediaStream, MediaStreamTrack, Node, PermissionStatus, Screen, ScreenOrientation, SpeechSynthesisUtterance, TextTrack, TextTrackCue, TextTrackList, VideoTrackList, Window, XMLHttpRequestEventTarget

Available on HTML5

`EventTarget` is an interface implemented by objects that can receive events and may have listeners for them.

Documentation EventTarget by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/EventTarget

### Methods

###

`addEventListener (type:String, listener:Function, capture:Bool = false):Void`

`addEventListener (type:String, listener:EventListener, capture:Bool = false, ?wantsUntrusted:Bool):Void`

Throws:

`null` | DOMError

###

`dispatchEvent (event:Event):Bool`

Throws:

`null` | DOMError

###

`removeEventListener (type:String, listener:Function, capture:Bool = false):Void`

`removeEventListener (type:String, listener:EventListener, capture:Bool = false):Void`

Throws:

`null` | DOMError